package com.ruoyi.system.mapper;


import com.ruoyi.system.domain.ExamineConfig;

import java.util.List;

/**
 * 审核角色配置Mapper接口
 * 
 * @author boman
 * @date 2022-01-24
 */
public interface ExamineConfigMapper 
{
    /**
     * 查询审核角色配置
     * 
     * @param id 审核角色配置主键
     * @return 审核角色配置
     */
    public ExamineConfig selectExamineConfigById(Long id);

    /**
     * 查询审核角色配置列表
     * 
     * @param examineConfig 审核角色配置
     * @return 审核角色配置集合
     */
    public List<ExamineConfig> selectExamineConfigList(ExamineConfig examineConfig);

    /**
     * 新增审核角色配置
     * 
     * @param examineConfig 审核角色配置
     * @return 结果
     */
    public int insertExamineConfig(ExamineConfig examineConfig);

    /**
     * 修改审核角色配置
     * 
     * @param examineConfig 审核角色配置
     * @return 结果
     */
    public int updateExamineConfig(ExamineConfig examineConfig);

    /**
     * 删除审核角色配置
     * 
     * @param id 审核角色配置主键
     * @return 结果
     */
    public int deleteExamineConfigById(Long id);

    /**
     * 批量删除审核角色配置
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteExamineConfigByIds(Long[] ids);

    /**
     * 根据审批等级查看角色列表
     * @param level
     * @return
     */
    public List<ExamineConfig> selectExamineConfigByLevel(String level);
}
